# Get project vulnerabilities traces (Dependencies - SCA)

Returns the traces of a given project. Note that this feature requires that Mend Prioritize be enabled in your Mend account.

Endpoint: GET /api/v3.0/projects/{projectUuid}/dependencies/effective
Version: 3.0
Security: bearer-key

## Path parameters:

  - `projectUuid` (string, required)
    UUID of the project

## Query parameters:

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

## Response 200 fields (application/json):

  - `additionalData` (object)
    + **totalItems**: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: 1171c60d

  - `response` (array)

  - `response.referenceEntityId` (string)
    Example: org.springframework.util.StringUtils:cleanPath ()

  - `response.projectName` (string)
    Example: Project A

  - `response.orgName` (string)
    Example: Organization A

  - `response.traces` (array)

  - `response.traces.codeInvocations` (array)

  - `response.traces.codeInvocations.invocationType` (string)
    Enum: "APPLICATION", "EXTENSION", "NATIVE", "FRAMEWORK"

  - `response.traces.codeInvocations.methodName` (string)
    Example: org.springframework.util.StringUtils:cleanPath

  - `response.traces.codeInvocations.order` (integer)
    Example: 0

  - `response.traces.codeInvocations.lineNumber` (integer)
    Example: 522

  - `response.traces.codeInvocations.fileName` (string)
    Example: org\springframework\util\StringUtils.class

  - `response.shieldValue` (integer)

  - `response.applicationName` (string)
    Example: Product A

  - `response.vulnerabilityId` (string)
    Example: CVE-2021-42392

  - `response.libraryUuid` (string)
    Example: 123e4567-e89b-12d3-a456-426655440000

  - `response.projectUuid` (string)
    Example: 123e4567-e89b-12d3-a456-426655440000

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

